> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hotglue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update linked sources

> Modify the field map or change the config for a linked source



## OpenAPI

````yaml patch /{env_id}/{flow_id}/{tenant}/linkedSources
openapi: 3.1.0
info:
  title: hotglue API
  version: '1.2'
servers:
  - url: https://api.hotglue.com
security:
  - sec0: []
paths:
  /{env_id}/{flow_id}/{tenant}/linkedSources:
    patch:
      summary: Update linked sources
      description: Modify the field map or change the config for a linked source
      operationId: linked-sources-update
      parameters:
        - name: env_id
          in: path
          description: ID of environment
          schema:
            type: string
          required: true
        - name: flow_id
          in: path
          description: ID of flow
          schema:
            type: string
          required: true
        - name: tenant
          in: path
          description: ID of tenant
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - tap
              properties:
                tap:
                  type: string
                  description: Name of tap to update
                field_map:
                  type:
                    - object
                    - 'null'
                  required: false
                  description: JSON object representing all fields to pull
                config:
                  type:
                    - object
                    - 'null'
                  required: false
                  description: JSON object containing config values to update
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: {}
              schema:
                type: object
                properties: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: {}
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key

````